%define        xlockgtkname       %{name}-gtk2

Name:          xlockmore
Version:       5.53
Release:       %mkrel 1
Summary:       An X terminal locking program
License:       BSD
Group:         Graphical desktop/Other
URL:           http://sillycycle.com/xlockmore.html
Source0:       http://sillycycle.com/xlock/%{name}-%{version}.tar.xz
Source1:       xlock.pamd
Source2:       xlockmore.desktop

Patch0:        xlockmore-5.46-soundspath.patch
Patch3:        xlockmore-5.32-include_ftgl_path.patch

Requires:      fortune-mod
Requires:      pam
#fhimpe: needed for chkpwd group
Requires:      setup

BuildRequires: gtk+2-devel
BuildRequires: mesaglu-devel 
BuildRequires: pam-devel
BuildRequires: libx11-devel
BuildRequires: libxext-devel
BuildRequires: libxinerama-devel
BuildRequires: libxmu-devel
BuildRequires: ftgl-devel
BuildRequires: libaudiofile-devel
BuildRequires: xpm-devel

%description
The xlockmore utility is an enhanced version of the standard xlock
program, which allows you to lock an X session so that other users
can't access it.  Xlockmore runs a provided screen saver until you
type in your password. Install the xlockmore package if you need a
locking program to secure X sessions.


%package -n %{xlockgtkname}
Summary:       A GTK2 front-end to xlockmore
Url:           http://www.tux.org/~bagleyd/xlockmore.html
Group:         Graphical desktop/Other
License:       BSD
Requires:      xlockmore

%description -n %{xlockgtkname}
A GTK2 front-end to xlockmore.




%prep
%setup -q
%patch0 -p1 -b .soundpath
%patch3 -p1 -b .include_ftgl_path

sed -i -e "s,/lib,/%{_lib},g" configure



%build
autoconf
export CXXFLAGS="%{optflags} `freetype-config --cflags`"
%configure2_5x \
               --without-motif \
               --with-gtk2 \
               --without-gtk \
               --enable-pam \
               --enable-syslog \
               --disable-setuid \
               --with-crypt \
               --without-rplay \
               --enable-appdefaultdir=%{_datadir}/X11/app-defaults

%make CC="gcc %ldflags" XLOCKLDFLAGS="%ldflags"




%install

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/sounds/xlockmore
mkdir -p %{buildroot}%{_datadir}/xlock
#perl -p -i -e 's/-o root//g' Makefile */Makefile
#makeinstall

install -m 755 xlock/xlock -D %{buildroot}%{_bindir}/xlock
install -m 755 xglock/xglock -D %{buildroot}%{_bindir}/xglock
install -m 644 xlock/xlock.man -D %{buildroot}%{_mandir}/man1/xlock.1
install -m 644 xlock/XLock.ad -D %{buildroot}%{_datadir}/X11/app-defaults/XLock
install -m 644 xglock/xglockrc -D %{buildroot}%{_datadir}/xlock/xglockrc

install -m 644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/pam.d/xlock
install -m 644 %{SOURCE2} -D %{buildroot}%{_datadir}/applications/xlockmore.desktop

cp sounds/*.au %{buildroot}%{_datadir}/sounds/xlockmore
rm -rf %{buildroot}%{_mandir}/xlock.1*




%files
%attr(2755,root,chkpwd) %{_bindir}/xlock
%{_mandir}/man1/xlock.1*
%config(noreplace) %{_datadir}/X11/app-defaults/XLock
%{_datadir}/sounds/xlockmore
%{_datadir}/applications/%{name}.desktop
%config(noreplace) %{_sysconfdir}/pam.d/*


%files -n %{xlockgtkname}
%{_bindir}/xglock
%{_datadir}/xlock


%changelog
* Tue May 02 2017 eatdirt <eatdirt> 5.53-1.mga6
+ Revision: 1098525
- Upgrade to version 5.53

* Mon Apr 03 2017 eatdirt <eatdirt> 5.51-1.mga6
+ Revision: 1095793
- Upgrade to version 5.51

* Tue Jan 10 2017 luigiwalser <luigiwalser> 5.50-1.mga6
+ Revision: 1080864
- 5.50

* Thu Dec 01 2016 eatdirt <eatdirt> 5.49-1.mga6
+ Revision: 1071471
- Upgrading xlockmore to 5.49

* Wed May 25 2016 luigiwalser <luigiwalser> 5.47-1.mga6
+ Revision: 1018516
- 5.47

* Fri Feb 12 2016 umeabot <umeabot> 5.46-2.mga6
+ Revision: 959335
- Mageia 6 Mass Rebuild

* Tue Sep 29 2015 eatdirt <eatdirt> 5.46-1.mga6
+ Revision: 885101
- Upgrade to version 5.46

  + alexl <alexl>
    - add GenericName

* Fri Dec 19 2014 luigiwalser <luigiwalser> 5.45-1.mga5
+ Revision: 804315
- 5.45

* Thu Nov 20 2014 luigiwalser <luigiwalser> 5.44-1.mga5
+ Revision: 798026
- 5.44

* Wed Oct 15 2014 luigiwalser <luigiwalser> 5.43-6.mga5
+ Revision: 757603
- freetype includes are needed for g++
- add freetype to include path

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 5.43-2.mga4
+ Revision: 529950
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 eatdirt <eatdirt> 5.43-1.mga4
+ Revision: 454421
- Expanding _desktopdir variable
- Upgrade to version 5.43, cleaning specfile
- Upgrade to 5.42

* Mon Apr 01 2013 luigiwalser <luigiwalser> 5.42-1.mga4
+ Revision: 406914
- 5.42

* Mon Jan 14 2013 umeabot <umeabot> 5.41-2.mga3
+ Revision: 387069
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 luigiwalser <luigiwalser> 5.41-1.mga3
+ Revision: 313618
- 5.41

* Sun Jul 22 2012 luigiwalser <luigiwalser> 5.40-1.mga3
+ Revision: 273639
- 5.40

* Mon May 28 2012 luigiwalser <luigiwalser> 5.39-1.mga3
+ Revision: 248783
- 5.39

* Fri Apr 27 2012 luigiwalser <luigiwalser> 5.38-2.mga2
+ Revision: 233479
- use system-lock-screen for menu icon

* Sat Feb 11 2012 luigiwalser <luigiwalser> 5.38-1.mga2
+ Revision: 207590
- 5.38

* Mon Jan 09 2012 kamil <kamil> 5.37-1.mga2
+ Revision: 194119
- new version
- clean spec

* Fri Sep 16 2011 fwang <fwang> 5.34-2.mga2
+ Revision: 144162
- cleanup br

* Thu Sep 15 2011 fwang <fwang> 5.34-1.mga2
+ Revision: 144047
- fix desktop file

  + pterjan <pterjan>
    - Update to 5.34

* Thu Mar 03 2011 ahmad <ahmad> 5.32-1.mga1
+ Revision: 62751
- update to 5.32
- rediff patches
- enable parallel make
- drop esound-devel BR (phasing esound out of the distro)
- drop un-applied patch (been un-applied for 2 years)

* Thu Jan 20 2011 pterjan <pterjan> 5.28-3.mga1
+ Revision: 25761
- imported package xlockmore

